Subject: Re: bug#11681: GNU Emacs 24.1.1 (i386-mingw-nt6.1.7601) Save bug

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Jun 2012 18:13:21 +0300

> From: Olaf <[email-masked]>
> Date: Wed, 13 Jun 2012 07:40:01 +0200
> 
> Sorry four response email bounds - it's to avoid spam. I'm using the
> news server.

It's too bad we cannot communicate with you directly.  It means we
need to edit the headers of the messages we send in response manually,
or risk sending them to a bit bucket.

> it's a local file. The same did work with the old windows port 23.1.
> Please note, that the message is Save ... and no Wrote ... has been seen.
> 
> The message buffer is
> 
> For information about GNU Emacs and the GNU system, type C-h C-a.
> SignumDP.v has auto save data; consider M-x recover-this-file
> Loading vc-hg...done
> Saving file
> d:/work/StructuralHealth/Software/PSoC5/Harvester/SignumComparator/SignumDP.cydsn/SignumDP/ms/SignumDP.v...
> Auto-saving...

Does this happen for every file you save, or just for some?  If the
latter, can you try finding out what those files have in common?

> I start emacs by runemacs. running emacs from console by emacs -Q -q it
> susccessfully wrote the file.

So you are saying that if you start Emacs by clicking the runemacs
icon, then you cannot save any files, whereas if you start Emacs by
running emacs.exe directly, the problem goes away, is that right?